Bug 1032654 - AttributeError: 'DeviceFormat' object has no attribute 'partedDisk' [NEEDINFO]
AttributeError: 'DeviceFormat' object has no attribute 'partedDisk'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:a227826c8616065d960150ebd58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 09:31 EST by menzinoah
Modified: 2015-05-01 13:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-01 13:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (menzinoah)


Attachments (Terms of Use)
File: anaconda-tb (1.33 MB, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: anaconda.log (108.06 KB, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: environ (525 bytes, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: journalctl (362.61 KB, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: lsblk_output (3.49 KB, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: nmcli_dev_list (6.53 KB, text/plain)
2013-11-20 09:32 EST, menzinoah
no flags Details
File: os_info (291 bytes, text/plain)
2013-11-20 09:33 EST, menzinoah
no flags Details
File: program.log (83.06 KB, text/plain)
2013-11-20 09:33 EST, menzinoah
no flags Details
File: storage.log (759.83 KB, text/plain)
2013-11-20 09:33 EST, menzinoah
no flags Details
File: ifcfg.log (2.06 KB, text/plain)
2013-11-20 09:33 EST, menzinoah
no flags Details

  None (edit)
Description menzinoah 2013-11-20 09:31:45 EST
Description of problem:
I closed Custom partitioning and tried to reopen it. 

Version-Release number of selected component:
anaconda-20.25.6-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.25.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1950, in copy
    p = partition.disk.format.partedDisk.getPartitionByPath(partition.path)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 855, in _reset_storage
    self.__storage = self.storage.copy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 876, in refresh
    self._reset_storage()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 108, in _runSpoke
    action.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 424, in _on_spoke_clicked
    self._runSpoke(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 442, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
AttributeError: 'DeviceFormat' object has no attribute 'partedDisk'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-TC rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.7-300.fc20.x86_64
other involved packages: python-blivet-0.23.4-1.fc20.noarch
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20
Comment 1 menzinoah 2013-11-20 09:32:27 EST
Created attachment 826669 [details]
File: anaconda-tb
Comment 2 menzinoah 2013-11-20 09:32:33 EST
Created attachment 826670 [details]
File: anaconda.log
Comment 3 menzinoah 2013-11-20 09:32:37 EST
Created attachment 826671 [details]
File: environ
Comment 4 menzinoah 2013-11-20 09:32:49 EST
Created attachment 826672 [details]
File: journalctl
Comment 5 menzinoah 2013-11-20 09:32:55 EST
Created attachment 826673 [details]
File: lsblk_output
Comment 6 menzinoah 2013-11-20 09:32:58 EST
Created attachment 826674 [details]
File: nmcli_dev_list
Comment 7 menzinoah 2013-11-20 09:33:02 EST
Created attachment 826675 [details]
File: os_info
Comment 8 menzinoah 2013-11-20 09:33:08 EST
Created attachment 826676 [details]
File: program.log
Comment 9 menzinoah 2013-11-20 09:33:33 EST
Created attachment 826677 [details]
File: storage.log
Comment 10 menzinoah 2013-11-20 09:33:37 EST
Created attachment 826678 [details]
File: ifcfg.log
Comment 11 David Shea 2015-04-14 15:48:16 EDT
Is this issue reproducible with F21 or F22?

Note You need to log in before you can comment on or make changes to this bug.